require 'test_helper'

class Parlez::PostTest < ActiveSupport::TestCase

  test 'check all validations are applied' do
    post = Parlez::Post.new
    assert !post.valid?
    assert_errors_on post, :title, :slug, :author, :published_at, :body
  end

  test 'published scope' do
    p1 = Factory.create(:post, :published_at => 3.days.ago)
    p2 = Factory.create(:post, :published_at => 2.days.ago)
    p3 = Factory.create(:post, :published_at => 1.days.ago)

    p4 = Factory.create(:post, :published_at => 1.day.from_now)

    assert_equal [p1,p2,p3], Parlez::Post.published.all
  end

  test "return namespaced table name" do
    assert_equal 'parlez_posts', Parlez::Post.table_name
  end
end
